VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::LibraryItem::ResultInfo Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::LibraryItem::ResultInfo:

## Avaliable Methods
public method | get_warnings ()
public method | set_warnings ()
public method | get_information ()
public method | get_errors ()
public method | set_information ()
public method | new ()
public method | set_errors ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::LibraryItem::ResultInfo` class defines the information returned along with the result of a `create` or `deploy` method to describe errors, warnings, and informational messages produced by the server.

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResultInfo::get_errors | ( |  | ) |

Gets the value of 'errors' property.

Return values

  errors | - The current value of the field. Errors reported by the `create` or `deploy` method . These errors would have prevented the `create` or `deploy` method from completing successfully. List#

Code:
click to view
# Number of lines of code in get_errors: 4
sub get_errors {
my ($self, %args) = @_;
return $self->{'errors'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResultInfo::get_information | ( |  | ) |

Gets the value of 'information' property.

Return values

  information | - The current value of the field. Information messages reported by the `create` or `deploy` method . For example, a non-required parameter was ignored. List#

Code:
click to view
# Number of lines of code in get_information: 4
sub get_information {
my ($self, %args) = @_;
return $self->{'information'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResultInfo::get_warnings | ( |  | ) |

Gets the value of 'warnings' property.

Return values

  warnings | - The current value of the field. Warnings reported by the `create` or `deploy` method . These warnings would not have prevented the `create` or `deploy` method from completing successfully, but there might be issues that warrant attention. List#

Code:
click to view
# Number of lines of code in get_warnings: 4
sub get_warnings {
my ($self, %args) = @_;
return $self->{'warnings'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResultInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::LibraryItem::ResultInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{errors} = $args{'errors'};
$self->{warnings} = $args{'warnings'};
$self->{information} = $args{'information'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::LibraryItem::ResultInfo');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.library_item.result_info');
$self->set_binding_field('key' => 'errors', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'OvfError')));
$self->set_binding_field('key' => 'warnings', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'OvfWarning')));
$self->set_binding_field('key' => 'information', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'OvfInfo')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResultInfo::set_errors | ( |  | ) |

Sets the given value for 'errors' property.

Parameters

  errors | - New value for the field. Errors reported by the `create` or `deploy` method . These errors would have prevented the `create` or `deploy` method from completing successfully.

Code:
click to view
# Number of lines of code in set_errors: 5
sub set_errors {
my ($self, %args) = @_;
$self->{'errors'} = $args{'errors'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResultInfo::set_information | ( |  | ) |

Sets the given value for 'information' property.

Parameters

  information | - New value for the field. Information messages reported by the `create` or `deploy` method . For example, a non-required parameter was ignored.

Code:
click to view
# Number of lines of code in set_information: 5
sub set_information {
my ($self, %args) = @_;
$self->{'information'} = $args{'information'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::ResultInfo::set_warnings | ( |  | ) |

Sets the given value for 'warnings' property.

Parameters

  warnings | - New value for the field. Warnings reported by the `create` or `deploy` method . These warnings would not have prevented the `create` or `deploy` method from completing successfully, but there might be issues that warrant attention.

Code:
click to view
# Number of lines of code in set_warnings: 5
sub set_warnings {
my ($self, %args) = @_;
$self->{'warnings'} = $args{'warnings'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/LibraryItem.pm